Bug 480762 - add more groups
add more groups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 07:02 EST by Harald Hoyer
Modified: 2009-02-03 05:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-03 05:49:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2009-01-20 07:02:25 EST
please add to the %post section:

getent group cdrom >/dev/null || /usr/sbin/groupadd -g 11 cdrom || :
getent group tape >/dev/null || /usr/sbin/groupadd -g 33 tape || :
getent group dialout >/dev/null || /usr/sbin/groupadd -g 87 dialout || :
Comment 1 Ondrej Vasik 2009-01-20 08:47:06 EST
All gid's for those groups registered in setup-2.7.6-1.fc11.
Comment 2 Harald Hoyer 2009-01-20 09:08:30 EST
it seems 87 is already taken by polkituser
Comment 3 Ondrej Vasik 2009-01-20 09:24:39 EST
Bad luck ... I see ... PolicyKit uses simple 
/usr/sbin/useradd -c 'PolicyKit' -u %{polkit_uid} \
	-s /sbin/nologin -r -d '/' polkituser 2> /dev/null || :

in post scriptlet - there should be -g as well (they maybe could use some generic group - I don't know - but just uid was reserved). This makes dialout adding more complicated...
Comment 4 Christopher Beland 2009-01-29 01:16:26 EST
I assume this bug is why I get the following message on startup?

 Starting udev: udevd[837]: specified group 'dialout' unknown
Comment 5 Ondrej Vasik 2009-01-29 06:38:58 EST
Ok, will reserve 18 for dialout and 87 for polkituser...
Comment 6 Christopher Beland 2009-01-30 19:01:46 EST
Yay, I'm no longer getting the message with setup-2.7.7-2.fc11.noarch/udev-137-1.fc11.x86_64.
Comment 7 Harald Hoyer 2009-02-03 05:49:05 EST
moved to udev %pre

Note You need to log in before you can comment on or make changes to this bug.